org.eclipse.microprofile.rest.client

## Class BuilderImpl2

- java.lang.Object
- - org.eclipse.microprofile.rest.client.AbstractBuilder
  - - org.eclipse.microprofile.rest.client.BuilderImpl2

All Implemented Interfaces:
  jakarta.ws.rs.core.Configurable<org.eclipse.microprofile.rest.client.RestClientBuilder>, org.eclipse.microprofile.rest.client.RestClientBuilder

    @Priority(value=2)
    public class BuilderImpl2
    extends AbstractBuilder

### Constructor Summary

Constructors
Constructor and Description
`BuilderImpl2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.microprofile.rest.client.RestClientBuilder` `baseUri(URI uri)`
`org.eclipse.microprofile.rest.client.RestClientBuilder` `baseUrl(URL url)`
`<T> T` `build(Class<T> clazz)`
`org.eclipse.microprofile.rest.client.RestClientBuilder` `connectTimeout(long timeout, TimeUnit unit)`
`org.eclipse.microprofile.rest.client.RestClientBuilder` `executorService(ExecutorService executor)`
`org.eclipse.microprofile.rest.client.RestClientBuilder` `followRedirects(boolean follow)`
`org.eclipse.microprofile.rest.client.RestClientBuilder` `hostnameVerifier(HostnameVerifier verifier)`
`org.eclipse.microprofile.rest.client.RestClientBuilder` `keyStore(KeyStore keyStore, String keystorePassword)`
`org.eclipse.microprofile.rest.client.RestClientBuilder` `proxyAddress(String proxyHost, int proxyPort)`
`org.eclipse.microprofile.rest.client.RestClientBuilder` `queryParamStyle(org.eclipse.microprofile.rest.client.ext.QueryParamStyle style)`
`org.eclipse.microprofile.rest.client.RestClientBuilder` `readTimeout(long timeout, TimeUnit unit)`
`org.eclipse.microprofile.rest.client.RestClientBuilder` `sslContext(SSLContext sslContext)`
`org.eclipse.microprofile.rest.client.RestClientBuilder` `trustStore(KeyStore trustStore)`

### Methods inherited from class org.eclipse.microprofile.rest.client.AbstractBuilder

`getConfiguration, property, register, register, register, register, register, register, register, register`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.microprofile.rest.client.RestClientBuilder

`newBuilder`

### Constructor Detail

#### BuilderImpl2

    public BuilderImpl2()

### Method Detail

#### baseUrl

    public org.eclipse.microprofile.rest.client.RestClientBuilder baseUrl(URL url)

#### baseUri

    public org.eclipse.microprofile.rest.client.RestClientBuilder baseUri(URI uri)

#### executorService

    public org.eclipse.microprofile.rest.client.RestClientBuilder executorService(ExecutorService executor)

#### sslContext

    public org.eclipse.microprofile.rest.client.RestClientBuilder sslContext(SSLContext sslContext)

#### trustStore

    public org.eclipse.microprofile.rest.client.RestClientBuilder trustStore(KeyStore trustStore)

#### keyStore

    public org.eclipse.microprofile.rest.client.RestClientBuilder keyStore(KeyStore keyStore,
                                                                           String keystorePassword)

#### hostnameVerifier

    public org.eclipse.microprofile.rest.client.RestClientBuilder hostnameVerifier(HostnameVerifier verifier)

#### connectTimeout

    public org.eclipse.microprofile.rest.client.RestClientBuilder connectTimeout(long timeout,
                                                                                 TimeUnit unit)

#### readTimeout

    public org.eclipse.microprofile.rest.client.RestClientBuilder readTimeout(long timeout,
                                                                              TimeUnit unit)

#### followRedirects

    public org.eclipse.microprofile.rest.client.RestClientBuilder followRedirects(boolean follow)

#### proxyAddress

    public org.eclipse.microprofile.rest.client.RestClientBuilder proxyAddress(String proxyHost,
                                                                               int proxyPort)

#### queryParamStyle

    public org.eclipse.microprofile.rest.client.RestClientBuilder queryParamStyle(org.eclipse.microprofile.rest.client.ext.QueryParamStyle style)

#### build

    public <T> T build(Class<T> clazz)